<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result_vestibular = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info_vestibular = mysql_fetch_array($result_vestibular);
$cursos_do_vestibular = $info_vestibular["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i_vestibular = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i_vestibular] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i_vestibular] . ' ';
	}
	$i_vestibular++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Cursos</title>
</head>

<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<?
	if (!isset($submit)){
?>
<form action="editar.php" method="post" style="font-family: Verdana, Geneva, Arial, Helvetica, sans-serif; font-size: x-small;">
<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<br>
		<br>
		<center><font face="Verdana" size="2" color="#000000"><b>Editando Inscrição Número <font color="#ff0000">
			<? 
				if ($id <= 9)
					echo '00000'. $id;
				if (($id >= 10) && ($id <= 99))
					echo '0000'. $id;
				if (($id >= 100) && ($id <= 999))
				 	echo '000'. $id;
				if (($id >= 1000) && ($id <= 9999))
				 	echo '00'. $id;
				if ($id >= 10000)
				 	echo  '0'. $id;
			?>
		</font></b></font></center>
		<?
			mysql_connect( $bd_host, $bd_user, $bd_senha )
				or die ( 'Não foi possível conectar ao Servidor.' );
			mysql_select_db( $bd_database )
				or die ( 'Não foi possível conectar a Base de Dados.' );
			$sql = "SELECT * FROM candidato where codigo = $id";
			$result = mysql_query($sql)
				or die ( 'Não foi possível executar a query 161.' );
			$num = mysql_num_rows($result);
			if ($num == 0 ) {
				echo '<br><br><center><font color="#ff0000" face="Verdana" size="3"><b>INSCRIÇÃO NÃO EXISTENTE NOS REGISTROS!!!</font></center>';
				exit;
			}
			else {
				echo '<br><br><table width="96%" border="1" cellspacing="0" cellpadding="0" align="center">';
					while($information = mysql_fetch_array($result)) {
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Data da Ficha</font></b></td>';
						echo '<td width="60%"><font color="#ff0000" face="Verdana" size="2"><b>' . $information["data_ficha"] . '</b></font>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Nome do Canditado</font></b></td>';
						echo '<td width="60%"><input  type="text" name="nome" size="50" maxlength="150" value="' . $information["nome_candidato"] . '"></td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Identidade</font></b></td>';
						echo '<td width="60%"><input type="text" name="rg" size="33" maxlength="150" value="' . $information["rg"] . '"><input  type="text" style="text-transform: uppercase;" name="rg1" size="5" maxlength="150" value="' . $information["expedidor"] . '">';
						$aux = $information["ufexpedidor"];
						$sql1 = "SELECT * FROM estado Order by identificacao ";
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<select name="rg2">';
							while($info = mysql_fetch_array($result1)) {
								echo '<option value="' . $info["sigla"] . '"';
									if ($info["sigla"] == $aux){
										echo ' selected ';
									}
								echo '>' . $info["sigla"] . '</option>';
							}
						echo '</select></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Canhoto</font></b></td>';
						echo '<td width="60%">';
						$aux = $information["canhoto"];
						echo '<select name="canhoto">';
								if ($aux == 'sim') {
									echo '<option value="sim"';
									echo ' selected ';
									echo '>Sim</option>';
									echo '<option value="nao">Não</option>';
								}
								else {
									echo '<option value="nao"';
									echo ' selected ';
									echo '>Não</option>';
									echo '<option value="sim">Sim</option>';
								}
						echo '</select>';
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Data de Nascimento</font></b></td>';
						echo '<td width="60%"><input type="text" name="nascimento" size="50" maxlength="150" value="' . $information["nascimento"] . '"></td>';

					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Sexo</font></b></td>';
						echo '<td width="60%">';
						$aux1 = $information["sexo"];
						echo '<select name="sexo">';
								if ($aux1 == 'M') {
									echo '<option value="M"';
									echo ' selected ';
									echo '>Masculino</option>';
									echo '<option value="F">Feminino</option>';
								}
								else {
									echo '<option value="F"';
									echo ' selected ';
									echo '>Feminino</option>';
									echo '<option value="M">Masculino</option>';
								}
						echo '</select>';
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Endereço</font></b></td>';
						echo '<td width="60%"><input type="text" name="endereco" size="50" maxlength="150" value="' . $information["endereco"] . '"></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Bairro</font></b></td>';
						echo '<td width="60%"><input type="text" name="bairro" size="50" maxlength="150" value="' . $information["bairro"] . '"></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Telefone</font></b></td>';
						echo '<td width="60%"><input type="text" name="ddd" size="5" maxlength="150" value="' . $information["codtelefone"] . '">-<input type="text" name="fone" size="40" maxlength="150" value="' . $information["telefone"] . '"></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Cidade/Estado</font></b></td>';
						echo '<td width="60%"><input type="text" name="cidade" size="24" maxlength="150" value="' . $information["cidade"] . '">-';
						$aux = $information["uf"];
						$sql1 = "SELECT * FROM estado Order by identificacao ";
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<select name="estado">';
							while($info = mysql_fetch_array($result1)) {
								echo '<option value="' . $info["sigla"] . '"';
									if ($info["sigla"] == $aux){
										echo ' selected ';
									}
								echo '>' . $info["identificacao"] . '</option>';
							}
						echo '</select>';
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">C.E.P.</font></b></td>';
						echo '<td width="60%"><input type="text" name="cep" size="50" maxlength="150" value="' . $information["cep"] . '"></td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Nome da Mãe</font></b></td>';
						echo '<td width="60%"><input type="text" name="nome_mae" size="50" maxlength="150" value="' . $information["nome_mae"] . '"></td>';
					echo '</tr>';




					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">E-mail</font></b></td>';
						echo '<td width="60%"><input type="text" name="email" size="50" maxlength="150" value="' . $information["email"] . '"></td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Local da Prova</font></b></td>';
						$local_da_prova_do_candidato = $information["local_prova"];
						echo '<td>';
						if ($local_da_prova_do_candidato == 1) {
							echo '<font face="verdana" size="2" color="000000"><b><input type="radio" name="local_prova" value="1" checked>Belo Horizonte - MG';
							echo '&nbsp;&nbsp;';
							echo '<input type="radio" name="local_prova" value="2">Caratinga - MG</b></font>';
						}
						if ($local_da_prova_do_candidato == 2) {
							echo '<font face="verdana" size="2" color="000000"><b><input type="radio" name="local_prova" value="1">Belo Horizonte - MG';
							echo '&nbsp;&nbsp;';
							echo '<input type="radio" name="local_prova" value="2" checked>Caratinga - MG</b></font>';
						}
						if ($local_da_prova_do_candidato == '') {
							echo '<font face="verdana" size="2" color="000000"><b><input type="radio" name="local_prova" value="1">Belo Horizonte - MG';
							echo '&nbsp;&nbsp;';
							echo '<input type="radio" name="local_prova" value="2" checked>Caratinga - MG</b></font>';
						}
						echo '</td>';
					echo '</tr>';




					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Curso</font></b></td>';
						echo '<td width="60%">';



						$aux = $information["curso"];
						$sql1 = $sql_cursos;
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<select name="curso">';
							while($info = mysql_fetch_array($result1)) {
								echo '<option value="' . $info["codigo"] . '"';
									if ($info["codigo"] == $aux){
										echo ' selected ';
									}
								echo '>' . $info["nome_curso"] . '</option>';
							}
						echo '</select>';
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Língua</font></b></td>';
						echo '<td width="60%">';
						$aux = $information["lingua"];
						$sql1 = "SELECT * FROM linguas Order by codigo ";
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<select name="lingua">';
							while($info = mysql_fetch_array($result1)) {
								echo '<option value="' . $info["codigo"] . '"';
									if ($info["codigo"] == $aux){
										echo ' selected ';
									}
								echo '>' . $info["lingua"] . '</option>';
							}
						echo '</select>';
						echo '</td>';
					echo '</tr>';
					
					echo '<tr>';
						echo '<td width="40%"><b><font face="Verdana" size="2" color="#000000">Situação</font></b></td>';
						echo '<td width="60%">';
							$aux = $information["entregue"];
							echo '<select name="situacao">';
								if ($aux == 'no'){
									echo '<option value="no" selected>Não Entregue</option>';
									echo '<option value="yes">Entregue</option>';
								}
								else {
									echo '<option value="no">Não Entregue</option>';
									echo '<option value="yes" selected>Entregue</option>';
								}
							echo '</select>';
						echo '</td>';
					echo '</tr>';
					echo '<tr>';
					echo '<td colspan="2">';
						echo '<div align="center"><strong><font face="Verdana" size="2" color="#000000">Pesquisa Sócio Econômica</font></strong></div>';
					echo '</td>';
					echo '</tr>';
					echo '<tr>';
					echo '<td colspan="2">';
						$sql2 = "SELECT * FROM perguntas_pesquisa";
						$result2 = mysql_query($sql2)
							or die ( 'Não foi possível executar a query 162.' );
				        $num2 = mysql_num_rows($result2);
						$numero_linhas = 11;
						$aux3 =  $information["socio_economico"];
						$aux4 = split(",",$aux3);
						echo '<center>';
						for ($carlos=0; $carlos< $num2; $carlos++) {
							echo '<font size="2" face="Verdana"><b>';
							if ($carlos < 9)
								echo '0' . ($carlos+1);
							else
								echo ($carlos+1);
							echo ':</b><input type="text" name="resp[' . $carlos . ']" size="2" maxlength="2" style="font-family: Verdana, Geneva, Arial, Helvetica, sans-serif; font-size: xx-small;" value="' . $aux4[$carlos] . '"></font>&nbsp;';
							if ($carlos == $numero_linhas){
								$numero_linhas = $numero_linhas + 11;
								echo '<br>';
							}
						}
						echo '</center>';
					echo '</td>';
					echo '</tr>';
					}
				echo '</table>';
			}
		?>






	</td>
	<tr>
		<td colspan="2">
			<div align="center">
				<input type="submit" name="submit" value="Alterar Ficha">
				&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="submit" name="submit" value="Excluir Ficha">
				&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="reset" value="Reiniciar Edição">
				<input type="hidden" name="id" value="<? echo $id; ?>">
				<input type="hidden" name="qt_perguntas" value="<? echo $num2; ?>">
			</div>
		</td>
	</tr>
</tr>
</table>
</form>
<?
}
else {
	//
	// Alteracao da Ficha
	//
	if ($submit == 'Alterar Ficha') {
		$perguntas_ok = '';
		for ($i = 0; $i < $qt_perguntas; $i++){
			$perguntas_ok = $perguntas_ok . $resp[$i] . ',';
		}
		$nome = $nome;
		$rg1 = $rg1;
		$rg2 = $rg2;
		$canhoto = $canhoto;
		$nascimento = $nascimento;
		$sexo = $sexo;
		$endereco = $endereco;
		$bairro = $bairro;
		$ddd = $ddd;
		$fone = $fone;
		$cidade = $cidade;
		$estado = $estado;
		$cep = $cep;
		$nome_mae = $nome_mae;
		$controle = $curso;
		$curso = $curso;
		$lingua = $lingua;
		$situacao = $situacao;
		$perguntas_ok = $perguntas_ok;
		$email = $email;
		$local_prova = $local_prova;
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		//echo $email;
		mysql_query("update candidato set nome_candidato='$nome', rg='$rg', canhoto='$canhoto', expedidor='$rg1', ufexpedidor='$rg2', nascimento='$nascimento', sexo='$sexo', endereco='$endereco', bairro='$bairro', codtelefone='$ddd', telefone='$fone', cidade='$cidade', uf='$estado', cep='$cep', nome_mae='$nome_mae', curso='$curso', lingua='$lingua', entregue='$situacao', socio_economico = '$perguntas_ok', controle = '$controle', email= '$email', local_prova = '$local_prova' where codigo = $id")
			or die ( 'Não foi possivel efetuar a alteracao dos dados da ficha.' );
		echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>ALTERAÇÃO da Ficha <font color="#ff0000">';
		if ($id <= 9)
			echo '00000'. $id;
		if (($id >= 10) && ($id <= 99))
			echo '0000'. $id;
		if (($id >= 100) && ($id <= 999))
		 	echo '000'. $id;
		if (($id >= 1000) && ($id <= 9999))
		 	echo '00'. $id;
		if ($id >= 10000)
		 	echo  '0' . $id;
		echo '</font> efetuada com sucesso!!</b></font></center>';
	}

	//
	// Exclusao da Ficha
	//
	if ($submit == 'Excluir Ficha') {
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$remocao = "Delete from candidato where codigo=$id";
		$executa_remocao = mysql_query($remocao)
			or die ( 'Não foi executada a remoção.' );
		echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>EXCLUSÃO da Ficha <font color="#ff0000">';
		if ($id <= 9)
			echo '0000'. $id;
		if (($id >= 10) && ($id <= 99))
			echo '000'. $id;
		if (($id >= 100) && ($id <= 999))
		 	echo '00'. $id;
		if (($id >= 1000) && ($id <= 9999))
		 	echo '0'. $id;
		if ($id >= 10000)
		 	echo  $id;
		echo '</font> efetuada com sucesso!!</b></font></center>';
	}

}
?>